### Method

# Gtk IconViewset_item_width

deprecated: 4.10

#### Declaration [src]

    void
    gtk_icon_view_set_item_width (
      GtkIconView* icon_view,
      int item_width
    )

#### Description [src]

Sets the ::item-width property which specifies the width to use for each item. If it is set to -1, the icon view will automatically determine a suitable item size.

Deprecated since: 4.10

Use `GtkGridView` instead.

Sets property | `Gtk.IconView:item-width`

#### Parameters

`item_width`

  Type: `int`

  The width for each item.